<?php
/**
* Widget Functions.
*
* @package Aerial Drone
*/

function aerial_drone_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'aerial-drone'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'aerial-drone'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));
	
    $aerial_drone_default = aerial_drone_get_default_theme_options();
    $aerial_drone_footer_column_layout = absint( get_theme_mod( 'aerial_drone_footer_column_layout',$aerial_drone_default['aerial_drone_footer_column_layout'] ) );

    for( $i = 0; $i < $aerial_drone_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','aerial-drone'); }
    	if( $i == 1 ){ $count = esc_html__('Two','aerial-drone'); }
    	if( $i == 2 ){ $count = esc_html__('Three','aerial-drone'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'aerial-drone').$count,
	        'id' => 'aerial-drone-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'aerial-drone'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'aerial_drone_widgets_init');